public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ian Delaney" <idella4@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/subliminal/
Date: Thu, 12 May 2016 11:40:08 +0000 (UTC)	[thread overview]
Message-ID: <1463053176.ca7d356c7031c1237d45308c161e79c8a1c20380.idella4@gentoo> (raw)

commit:     ca7d356c7031c1237d45308c161e79c8a1c20380
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Wed May 11 08:29:52 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Thu May 12 11:39:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca7d356c

media-video/subliminal: verbump to 2.0_rc1

Currently masked due to unsatisfied >=dev-python/rarfile-2.7 dependency.
See Gentoo bug 582500.

Yes, I've tested with =dev-python/rarfile-2.6 and it doesn't work.

Package-Manager: portage-2.2.28

Signed-off-by: Ian Delaney <idella4 <AT> gentoo.org>

 media-video/subliminal/Manifest                  |  1 +
 media-video/subliminal/subliminal-2.0_rc1.ebuild | 68 ++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/media-video/subliminal/Manifest b/media-video/subliminal/Manifest
index 7c0d285..d9b0ffa 100644
--- a/media-video/subliminal/Manifest
+++ b/media-video/subliminal/Manifest
@@ -1 +1,2 @@
 DIST subliminal-1.1.1-r1.tar.gz 4117531 SHA256 fd02eec1206ab1ef0ce83b0e051b3e029d90348f7a06461b9b6cdc681cea7de6 SHA512 b00bb34def5982041b6eec1acba84b0c297ea1b909dc0b9fe7c290c20f0b00e17e19a847987f549a07e5edfe0fee92913f00396cb8abe26c1f86927e027bccf1 WHIRLPOOL 0d95103c6cca1d50d05b3cf3ae113fadf0a294569cac9e55c549357d16f7c77ce408e3914e2a2b9e3a837659924bd1ff47db4f3459c42b4892b823d0fcf87cce
+DIST subliminal-2.0_rc1.tar.gz 4391496 SHA256 f5782e86834d35dc3658ed8002de380060c49a21b5445c5d3894c0ff46ae2450 SHA512 5955251baa0b527261d27eb358856a2353efe938440877877775f59814429609dd62c9b87df28e515e80866063657adc3c4d0d63e09ffe0c71e4502a4e490df8 WHIRLPOOL f1c90375394827a768302d06a181c763cdcb5178e770ae815efcbee34dcbc2500a07b77fc3421a05e3d15610f7cc7505011124201521bcbd5ee521750073cef2

diff --git a/media-video/subliminal/subliminal-2.0_rc1.ebuild b/media-video/subliminal/subliminal-2.0_rc1.ebuild
new file mode 100644
index 0000000..2a2aeeb
--- /dev/null
+++ b/media-video/subliminal/subliminal-2.0_rc1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4} )
+
+inherit distutils-r1
+
+MY_PV="${PV/_/-}"
+
+DESCRIPTION="Python library to search and download subtitles"
+HOMEPAGE="https://github.com/Diaoul/subliminal https://pypi.python.org/pypi/subliminal"
+SRC_URI="https://github.com/Diaoul/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+	>=dev-python/guessit-2.0.1[${PYTHON_USEDEP}]
+	>=dev-python/babelfish-0.5.2[${PYTHON_USEDEP}]
+	>=dev-python/enzyme-0.4.1[${PYTHON_USEDEP}]
+	>=dev-python/beautifulsoup-4.2.0:4[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.0.1[${PYTHON_USEDEP}]
+	>=dev-python/click-4.0[${PYTHON_USEDEP}]
+	>=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
+	>=dev-python/stevedore-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/chardet-2.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pysrt-1.0.1[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/appdirs-1.3[${PYTHON_USEDEP}]
+	>=dev-python/rarfile-2.7[compressed,${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	virtual/python-futures[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	test? (
+		>=dev-python/vcrpy-1.6.1[${PYTHON_USEDEP}]
+		dev-python/pytest-cov[${PYTHON_USEDEP}]
+		dev-python/pytest-runner[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/sympy[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+	)
+"
+
+# Tests require network and severely broken too.
+RESTRICT=test
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+python_prepare_all() {
+	# Disable code checkers as they require unavailable dependencies.
+	sed -i -e 's/--\(pep8\|flakes\)//g' pytest.ini || die
+	sed -i -e "s/'pytest-\(pep8\|flakes\)',//g" setup.py || die
+
+	# Disable unconditional dependency on dev-python/pytest-runner.
+	sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	esetup.py test
+}


             reply	other threads:[~2016-05-12 11:40 UTC|newest]

Thread overview: 59+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-12 11:40 Ian Delaney [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-29  6:34 [gentoo-commits] repo/gentoo:master commit in: media-video/subliminal/ Jakov Smolić
2024-07-16 19:18 Arthur Zamarin
2024-07-15  4:22 Sam James
2024-07-15  1:39 Sam James
2024-06-02  4:09 Sam James
2023-11-25  5:28 Sam James
2023-04-22 16:41 Sam James
2022-01-04 20:45 Sam James
2020-10-27 19:58 Sam James
2020-10-27  5:10 Sam James
2020-08-31 14:15 Sam James
2020-08-31 13:49 Sam James
2020-08-02 19:05 Sam James
2020-08-02  6:46 Michał Górny
2020-07-08 20:50 Sam James
2020-07-08 20:50 Sam James
2020-06-20  0:26 Aaron Bauman
2020-06-20  0:26 Aaron Bauman
2020-06-01  8:41 Joonas Niilola
2020-06-01  8:41 Joonas Niilola
2020-03-25  9:39 Michał Górny
2020-03-19 21:56 David Seifert
2020-03-17  8:08 Michał Górny
2020-03-16 18:55 Michał Górny
2020-01-13  9:48 Michał Górny
2019-07-07  5:30 Michał Górny
2019-07-07  5:30 Michał Górny
2018-07-28  8:53 Michał Górny
2018-06-25 23:20 Thomas Deutschmann
2018-06-24 10:20 Pacho Ramos
2018-06-24  9:46 Pacho Ramos
2018-06-24  9:41 Pacho Ramos
2018-05-05 17:46 Maxim Koltsov
2017-09-22 14:47 Patrice Clement
2017-07-30  9:44 Michał Górny
2017-07-23  1:09 Michael Palimaka
2017-01-16 17:55 David Seifert
2017-01-16 10:15 Agostino Sarubbo
2017-01-16  9:49 Agostino Sarubbo
2017-01-15 13:34 David Seifert
2017-01-15 13:34 David Seifert
2017-01-10 15:22 Agostino Sarubbo
2017-01-06 17:41 David Seifert
2017-01-04 22:26 Aaron Bauman
2017-01-03 23:07 Patrice Clement
2016-09-06 20:25 David Seifert
2016-09-06 20:25 David Seifert
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-04-05 20:14 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1463053176.ca7d356c7031c1237d45308c161e79c8a1c20380.idella4@gentoo \
    --to=idella4@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox